Bug 14793 - New cataloguing plugin unimarc_field_225a_bis
Summary: New cataloguing plugin unimarc_field_225a_bis
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-08 09:42 UTC by Julian Maurice
Modified: 2017-06-14 22:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
This plugin is used to fill 225$a with a value already existing in table biblioitems.collectiontitle


Attachments
Bug 14793: New cataloguing plugin unimarc_field_225a_bis (5.10 KB, patch)
2015-09-08 09:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 14793: New cataloguing plugin unimarc_field_225a_bis (5.16 KB, patch)
2016-04-29 13:46 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 14793: New cataloguing plugin unimarc_field_225a_bis (5.25 KB, patch)
2016-07-22 07:52 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2015-09-08 09:42:07 UTC
New cataloguing plugin unimarc_field_225a_bis

It is similar to unimarc_field_210c_bis, but searches in biblioitems.collectiontitle instead of biblioitems.publishercode
Comment 1 Julian Maurice 2015-09-08 09:42:33 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-12-18 12:53:37 UTC
Hi, tested on unimarc install.
I have no results from plugin,only anempty text field and a choose button, but /cgi-bin/koha/cataloguing/ysearch.pl?table=biblioitems&field=collectiontitle gives many results.

Another thing that I need to setup?
Comment 3 sandboxes@biblibre.com 2016-04-29 13:46:19 UTC
Patch tested with a sandbox, by Laurence Rault <laurence.rault@biblibre.com>
Comment 4 sandboxes@biblibre.com 2016-04-29 13:46:40 UTC Comment hidden (obsolete)
Comment 5 Laurence Rault 2016-04-29 13:47:32 UTC
Tested OK on sandbox

Test plan : 

- Link 225$a unimarc field to plugin unimarc_field_225a_bis.pl in framework
- In cataloguing, open the plugin : add text, plugin automatically proposes the list of the matching collections in biblioitems.collectiontitle
- Choose one, it is imported in 225$a
Comment 6 Marcel de Rooy 2016-07-22 07:52:40 UTC
Created attachment 53635 [details] [review]
Bug 14793: New cataloguing plugin unimarc_field_225a_bis

It is similar to unimarc_field_210c_bis, but searches in
biblioitems.collectiontitle instead of biblioitems.publishercode

Signed-off-by: Laurence Rault <laurence.rault@biblibre.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-07-22 07:53:17 UTC
The plugin style is still in the old format plugin_javascript instead of builder/launcher. But can be converted later (just as other unimarc plugins).
I see some CSS in the template, which is not recommended. Not a big deal.

Passed QA
Comment 8 Kyle M Hall 2016-07-22 17:27:44 UTC
Pushed to master for 16.11, thanks Julian!